@echo off

if {%1}=={} (
	echo Usage: release ^<version-id^>
	exit /b 0
)

set _verid=%1

setlocal enabledelayedexpansion

if not exist publish md publish
if exist publish\build.log del publish\build.log
if exist publish\vdshader-!-verid!-src.zip del publish\vdshader-!-verid!-src.zip
if exist publish\vdshader-!-verid!.zip del publish\vdshader-!-verid!.zip

devenv vdshader.sln /Rebuild Release /Out publish\build.log
if errorlevel 1 (
	echo Build failed!
	exit /b 0
)

pushd ..\..
zip -9 -X -r filters\vdshader\publish\vdshader-!_verid!-src.zip copying filters\vdshader\*.def filters\vdshader\*.vcproj filters\vdshader\*.sln filters\vdshader\*.rc filters\vdshader\*.cpp filters\vdshader\*.h filters\vdshader\samples\*.fx filters\vdshader\*.cmd dev_stable\src\*.vsprops dev_stable\src\h\vd2\system\*.h dev_stable\src\system\system.vcproj dev_stable\src\system\h\*.h dev_stable\src\system\source\*.cpp dev_stable\src\system\source\*.asm dev_stable\src\h\vd2\plugin\vdvideofiltold.h
popd
zip -9 -X -j publish\vdshader-!_verid!.zip release\vdshader.vdf copying
dir publish
